# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndRatioUnit Class Reference

`#include <StepBasic_SiUnitAndRatioUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndRatioUnit:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_SiUnitAndRatioUnit ()
| Returns a SiUnitAndRatioUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAprefix, const StepBasic_SiPrefix aPrefix, const StepBasic_SiUnitName aName)
Standard_EXPORT void | SetRatioUnit (const Handle(StepBasic_RatioUnit)&aRatioUnit)
Standard_EXPORT Handle_StepBasic_RatioUnit | RatioUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_RatioUnit | ratioUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndRatioUnit::StepBasic_SiUnitAndRatioUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SiUnitAndRatioUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndRatioUnit::Init | ( | const Standard_Boolean | hasAprefix,
|  | const StepBasic_SiPrefix | aPrefix,
|  | const StepBasic_SiUnitName | aName
| ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndRatioUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT Handle_StepBasic_RatioUnit StepBasic_SiUnitAndRatioUnit::RatioUnit | ( |  | ) | const

Standard_EXPORT void StepBasic_SiUnitAndRatioUnit::SetRatioUnit | ( | const Handle(StepBasic_RatioUnit)& | aRatioUnit | ) |

## Field Documentation

Handle_StepBasic_RatioUnit StepBasic_SiUnitAndRatioUnit::ratioUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndRatioUnit.hxx